/*
 * Name:    mx_epics.h
 *
 * Purpose: Header file for some utilities for using EPICS with MX.
 *
 * Author:  William Lavender
 *
 *----------------------------------------------------------------------
 *
 * Copyright 1999-2000 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef __MX_EPICS_H__
#define __MX_EPICS_H__

MX_API mx_status_type mx_epics_convert_mx_type_to_epics_type(
				long mx_type, chtype *epics_type );

MX_API mx_status_type mx_epics_convert_epics_type_to_mx_type(
				chtype epics_type, long *mx_type );

MX_API mx_status_type mx_epics_convert_mx_type_to_ezca_type(
				long mx_type, char *ezca_type );

MX_API mx_status_type mx_epics_convert_ezca_type_to_mx_type(
				char ezca_type, long *mx_type );

#endif /* __MX_EPICS_H__ */
